%global momorel 3
%global artsver 1.5.7
%global artsrel 1m
%global kdever 3.5.7
%global kdemultimediarel 1m
%global md5sum_src0 3b7e35505160e2d761e5b43abb636f3c

Summary: Trax Sequencer Engine
Name: tse3
Version: 0.3.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://tse3.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-gcc4.patch
Patch1: %{name}_alsa1.x_and_sustain.patch
Patch2: %{name}-fix-compile-amd64.patch
Patch3: %{name}-%{version}-libtool.patch
Patch4: %{name}-%{version}-parallelmake.patch
Patch5: %{name}-%{version}-kdemultimedia-header-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: alsa-lib-devel
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: audiofile-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: esound-devel
BuildRequires: glib2-devel
BuildRequires: jack-devel
BuildRequires: kdemultimedia >= %{kdever}-%{kdemultimediarel}
BuildRequires: libmad
BuildRequires: libogg-devel
BuildRequires: libtool
BuildRequires: libvorbis-devel

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package devel
Summary: Header files and static libraries from tse3
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on TSE3.

%prep
%setup -q

%patch0 -p0 -b .gcc4
%patch2 -p0 -b .fix_compile_amd64
%patch3 -p0 -b .libtool
%patch4 -p0 -b .parallelmake
%patch5 -p1 -b .artsmidi_h

autoreconf -fi

%build
%configure --with-alsa --with-aRts --without-oss
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# for doc
rm -rf package-doc
mv %{buildroot}%{_prefix}/doc package-doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc package-doc/%{name}-%{version}/*
%{_bindir}/tse3play
%{_libdir}/libtse3.so.*
%{_mandir}/man1/tse3play.1*

%files devel
%defattr(-,root,root)
%{_includedir}/tse3
%{_libdir}/libtse3.so
%{_mandir}/man3/tse3.3*

%changelog
* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-3m)
- build without OSS support

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-2m)
- import new gcc4.patch and libtool.patch from opensuse
- import tse3-0.3.1-parallelmake.patch from gentoo
- add kdemultimedia-header-path.patch
- remove alsa1.x_and_sustain.patch

* Tue Mar  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-1m)
- initial package for kguitar-0.5
- import and modify tse3_alsa1.x_and_sustain.patch.bz2 from cooker
 +* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 0.2.7-6mdk
 +- P0: Patch from noteedit website, supposed to fix alsa 1.0 detection and
 +  problem with sustain pedal
- import tse3-fix-compile-amd64.patch.bz2 from cooker
 +* Mon May 09 2005 Nicolas Lecureuil <neoclust@mandriva.org> 0.2.7-7mdk
 +- Patch2: Fix build for amd64 ( gentoo )
- add gcc4.patch
- Summary and %%description are imported from cooker
